<!doctype html>
<html lang="en" xmlns:th="https://www.thymeleaf.org">
<head>
  <link th:href="@{/content/style.css}" rel="stylesheet" />
</head>
<body>
  <h3>Students list</h3>

  <form method="post" th:action="@{/hello/}" th:object="${studentForm}">
    <div>
      <label data-th-text="#{label.name}">Name</label>
      <input type="text" th:field="*{firstName}">
    </div>
    <div>
      <label data-th-text="#{label.surname}">Surname</label>
      <input type="text" th:field="*{surname}">
    </div>
    <div>
      <label th:text="#{label.age}">Age</label>
      <input type="text" th:field="*{age}">
    </div>
    <div>
      <label>Gender</label>
      <select th:field="*{gender}">
        <option value="MALE">Male</option>
        <option value="FEMALE">Female</option>
      </select>
    </div>
    <input type="submit" value="Add student" />
  </form>

  <table>
    <thead>
      <tr>
        <th>Name</th>
        <th>Surname</th>
        <th>Age</th>
        <th>Gender</th>
        <th>Is adult?</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr th:each="student : ${students}">
        <td th:text="${student.firstName}"></td>
        <td th:text="${student.surname}"></td>
        <td th:text="${student.age}"></td>
        <td th:text="${student.gender}"></td>
        <td th:text="${student.age > 20 ? 'YES' : 'NO'}"></td>
        <td><a th:href="@{/hello/details(studentId=${student.id})}">view</a></td>
      </tr>
    </tbody>
  </table>

  <img th:src="@{${'/content/' + imageName}}" />
</body>
</html>